For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate an allowed IP address range
      • DELDelete an allowed IP address range
      • GETList allowed IP address ranges
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceAllowed IP Address Range

List allowed IP address ranges

GET
https://api.astronomer.io/v1/organizations/:organizationId/allowed-ip-address-ranges
GET
/v1/organizations/:organizationId/allowed-ip-address-ranges
$curl https://api.astronomer.io/v1/organizations/organizationId/allowed-ip-address-ranges \
> -H "Authorization: Bearer <token>"
1{
2 "allowedIpAddressRanges": [
3 {
4 "createdAt": "2022-11-22T04:37:12Z",
5 "id": "clm9sq6s0000008kz7uvl7yz7",
6 "ipAddressRange": "1.1.1.1/32",
7 "organizationId": "clyt27999000008me3yp39wcp",
8 "updatedAt": "2022-11-22T04:37:12Z",
9 "createdBy": {
10 "id": "clm8qv74h000008mlf08scq7k",
11 "apiTokenName": "my-token",
12 "avatarUrl": "https://avatar.url",
13 "fullName": "Jane Doe",
14 "subjectType": "USER",
15 "username": "user1@company.com"
16 },
17 "updatedBy": {
18 "id": "clm8qv74h000008mlf08scq7k",
19 "apiTokenName": "my-token",
20 "avatarUrl": "https://avatar.url",
21 "fullName": "Jane Doe",
22 "subjectType": "USER",
23 "username": "user1@company.com"
24 }
25 }
26 ],
27 "limit": 10,
28 "offset": 0,
29 "totalCount": 10
30}
List allowed IP address ranges.
Was this page helpful?
Previous

Create an API token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization that you want to retrieve the list of IP addresses for.

Query parameters

offsetintegerOptional>=0Defaults to 0
The number of results to skip before returning values.
limitintegerOptional>=0Defaults to 20
The maximum number of results to return.
sortslist of enumsOptional

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Response

OK
allowedIpAddressRangeslist of objects
limitinteger
The maximum number of allowed IP address ranges in one page.
offsetinteger
The offset of the current page of allowed IP address ranges.
totalCountinteger
The total number of allowed IP address ranges.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error